Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(41)

Issue 2846943002: Use ScopedTaskEnvironment instead of MessageLoopForUI in remoting tests. (Closed)

Created:
2 years ago by fdoray
Modified:
2 years ago
Reviewers:
gab, garykac
CC:
chromium-reviews, chromoting-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use ScopedTaskEnvironment instead of MessageLoopForUI in remoting tests. ScopedTaskEnvironment allows usage of ThreadTaskRunnerHandle and base/task_scheduler/post_task.h within its scope. It should be instantiated in everytest that uses either of these APIs (i.e. no test should instantiate a MessageLoop directly). Motivation for ScopedTaskEnvironment can be found in: https://docs.google.com/document/d/1QabRo8c7D9LsYY3cEcaPQbOCLo8Tu-6VLykYXyl3Pkk/edit BUG=708584 R=gab@chromium.org TBR=garykac@chromium.org Review-Url: https://codereview.chromium.org/2846943002 Cr-Commit-Position: refs/heads/master@{#468018} Committed: https://chromium.googlesource.com/chromium/src/+/638b48e2f217dd8fe276e91906d7c3a6f6506eac

Patch Set 1 #

Patch Set 2 : self-review #

Patch Set 3 : self-review #

Total comments: 2

Patch Set 4 : add-deps #

Unified diffs Side-by-side diffs Delta from patch set Stats (+21 lines, -17 lines) Patch
M remoting/test/BUILD.gn View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M remoting/test/it2me_standalone_host.h View 1 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/test/it2me_standalone_host.cc View 1 2 2 chunks +18 lines, -15 lines 0 comments Download

Messages

Total messages: 25 (19 generated)
fdoray
2 years ago (2017-04-27 18:33:10 UTC) #1
fdoray
gab@: PTAL The change will then be TBRed to the owner.
2 years ago (2017-04-27 18:33:16 UTC) #3
gab
lgtm w/ comment https://codereview.chromium.org/2846943002/diff/40001/remoting/test/it2me_standalone_host.h File remoting/test/it2me_standalone_host.h (right): https://codereview.chromium.org/2846943002/diff/40001/remoting/test/it2me_standalone_host.h#newcode46 remoting/test/it2me_standalone_host.h:46: base::test::ScopedTaskEnvironment scoped_task_environment_; ditto https://codereview.chromium.org/2849603003/diff/60001/ui/aura/mus/os_exchange_data_provider_mus_unittest.cc#newcode61
2 years ago (2017-04-28 01:34:44 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2846943002/60001
2 years ago (2017-04-28 13:24:48 UTC) #21
fdoray
https://codereview.chromium.org/2846943002/diff/40001/remoting/test/it2me_standalone_host.h File remoting/test/it2me_standalone_host.h (right): https://codereview.chromium.org/2846943002/diff/40001/remoting/test/it2me_standalone_host.h#newcode46 remoting/test/it2me_standalone_host.h:46: base::test::ScopedTaskEnvironment scoped_task_environment_; On 2017/04/28 01:34:44, gab wrote: > ditto ...
2 years ago (2017-04-28 13:25:26 UTC) #22
commit-bot: I haz the power
2 years ago (2017-04-28 16:11:01 UTC) #25
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/638b48e2f217dd8fe276e91906d7...

Powered by Google App Engine
This is Rietveld 408576698